import Tap_set_Ann from "../../area/Tap_set_Ann";
import { GameViewType } from "../../main/ViewManage";
import ViewObject from "../../main/ViewObject";
import tap_set_control from "./Tap_set_control";

const {ccclass, property} = cc._decorator;

@ccclass
export default class TapSet extends ViewObject {

    @property(cc.Label)
    label: cc.Label = null;

    @property
    text: string = 'hello';

    
    public onclickMusic(){
        this.main.viewManage.loadFunc(GameViewType.tap_set_music,(viewObject:ViewObject)=>{
            viewObject.show(this);
        });
    }
            /**
     * 按钮设置
     */
    public opentap_set_control(){
        this.main.viewManage.loadFunc(GameViewType.tap_set_control,(viewObject:ViewObject)=>{
            let tap_set_control:tap_set_control = viewObject as tap_set_control;
            viewObject.show();
        });
    }
        /**
     * 公告
     */
    public opentap_set_Ann(){
        this.main.viewManage.loadFunc(GameViewType.tap_set_Ann,(viewObject:ViewObject)=>{
            let tap_set_Ann:Tap_set_Ann = viewObject as Tap_set_Ann;
            viewObject.show();
        });
    }
}
